%{?nodejs_find_provides_and_requires}

%global packagename get-value

# tests disabled due to large number of missing dependencies
%global enable_tests 0

Name:		nodejs-get-value
Version:	2.0.6
Release:	6%{?dist}
Summary:	Use property paths (a.b.c) to get a nested value from an object

License:	MIT
URL:		https://github.com/jonschlinkert/get-value
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/get-value/master/test.js

# Source2 is generated by running Source10, which pulls from the upstream
# version control repository.
Source2:	benchmark-%{version}.tar.bz2
Source10:	dl-tests.sh


# Patch the package.json file to add 'mocha' as a devDependency:
Patch1:		nodejs-get-value_add-mocha-dep.patch


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ansi-bold)
BuildRequires:	npm(arr-reduce)
BuildRequires:	npm(benchmarked)
BuildRequires:	npm(dot-prop)
BuildRequires:	npm(getobject)
BuildRequires:	npm(isobject)
BuildRequires:	npm(matched)
BuildRequires:	npm(minimist)
%endif

%description
Use property paths (`a.b.c`) to get a nested value from an object.


%prep
%autosetup -n package -p1
# setup the tests
cp -p %{SOURCE1} .
# setup the benchmark
%setup -q -T -D -a 2 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.6-1
- Initial packaging
